twitter4j

## Interface EntitySupport

All Known Subinterfaces:
  DirectMessage, Status

    public interface EntitySupport

Since:
  Twitter4J 2.2.5
Author:
  Yusuke Yamamoto - yusuke at mac.com

### Method Summary

All Methods Instance Methods Abstract Methods
`HashtagEntity[]` `getHashtagEntities()` Returns an array if hashtag mentioned in the tweet.
`MediaEntity[]` `getMediaEntities()` Returns an array of MediaEntities if medias are available in the tweet.
`SymbolEntity[]` `getSymbolEntities()` Returns an array of SymbolEntities if medias are available in the tweet.
`URLEntity[]` `getURLEntities()` Returns an array if URLEntity mentioned in the tweet.
`UserMentionEntity[]` `getUserMentionEntities()` Returns an array of user mentions in the tweet.

### Method Detail

#### getUserMentionEntities

    UserMentionEntity[] getUserMentionEntities()

Returns an array of user mentions in the tweet. This method will return an empty array if no users were mentioned in the tweet.

Returns:
  An array of user mention entities in the tweet.
Since:
  Twitter4J 2.1.9

#### getURLEntities

    URLEntity[] getURLEntities()

Returns an array if URLEntity mentioned in the tweet. This method will return an empty array if no url were mentioned in the tweet.

Returns:
  An array of URLEntity mentioned in the tweet.
Since:
  Twitter4J 2.1.9

#### getHashtagEntities

    HashtagEntity[] getHashtagEntities()

Returns an array if hashtag mentioned in the tweet. This method will return an empty array if no hashtags were mentioned in the tweet.

Returns:
  An array of Hashtag mentioned in the tweet.
Since:
  Twitter4J 2.1.9

#### getMediaEntities

    MediaEntity[] getMediaEntities()

Returns an array of MediaEntities if medias are available in the tweet. This method will return an empty array if no medias were mentioned.

Returns:
  an array of MediaEntities.
Since:
  Twitter4J 2.2.3

#### getSymbolEntities

    SymbolEntity[] getSymbolEntities()

Returns an array of SymbolEntities if medias are available in the tweet. This method will return an empty array if no symbols were mentioned.

Returns:
  an array of SymbolEntities.
Since:
  Twitter4J 3.0.4